Bug 395301 - warnquota does not support NFS shares
Summary: warnquota does not support NFS shares
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: quota
Version: 4.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Petr Pisar
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks: 589523 589531 589534
TreeView+ depends on / blocked
 
Reported: 2007-11-22 07:16 UTC by Sachin Prabhu
Modified: 2018-10-24 10:20 UTC (History)
4 users (show)

Fixed In Version: quota-3.12-8.el4
Doc Type: Bug Fix
Doc Text:
The warnquota(8) man page implied that "warnquota" checks the disk quota for all file systems, whereas it actually only checks local file systems. The man page has been clarified in this regard, and no longer contains misleading information.
Clone Of:
: 589523 589531 589534 (view as bug list)
Environment:
Last Closed: 2010-10-13 13:56:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0767 normal SHIPPED_LIVE quota bug fix update 2010-10-13 13:56:22 UTC

Description Sachin Prabhu 2007-11-22 07:16:25 UTC
From the warnquota man page:
warnquota checks the disk quota for each filesystem and mails a warning message
 to  those users who have reached their softlimit.

This however does not work for nfs based mounts using quotas. This was reported
  by a customer.

The support for NFS is disabled in the warnquota code. To confirm this, I posted
a note to the forum on the quota sourceforge.net page and got the confirmation
that it is not supported over NFS and no plans exist currently to add support.
http://sourceforge.net/forum/forum.php?thread_id=1870399&forum_id=57476

A change instead was made to the warnquota man page to make it clear that
warnquota works only for local filesystems.

http://linuxquota.cvs.sourceforge.net/linuxquota/quota-tools/warnquota.8?r1=1.9&r2=1.10

Can engineering please change the man page to make it clear that the warnquota
utility only works for local filesystems.

Comment 1 RHEL Product and Program Management 2008-02-01 18:59:30 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 3 RHEL Product and Program Management 2008-10-31 16:36:45 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 8 Jaromir Hradilek 2010-07-28 11:13:32 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
The warnquota(8) man page implied that "warnquota" checks the disk quota for all file systems, whereas it actually only checks local file systems. The man page has been clarified in this regard, and no longer contains misleading information.

Comment 11 errata-xmlrpc 2010-10-13 13:56:38 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0767.html


Note You need to log in before you can comment on or make changes to this bug.